org.opencv.face

## Class FaceRecognizer

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.FaceRecognizer

- Direct Known Subclasses:
    BasicFaceRecognizer, LBPHFaceRecognizer

      public class FaceRecognizer
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FaceRecognizer(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FaceRecognizer` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `java.lang.String` | `getLabelInfo(int label)`
    `MatOfInt` | `getLabelsByString(java.lang.String str)`
    `void` | `predict_collect(Mat src, PredictCollector collector)`
    `int` | `predict_label(Mat src)`
    `void` | `predict(Mat src, int[] label, double[] confidence)`
    `void` | `read(java.lang.String filename)`
    `void` | `setLabelInfo(int label, java.lang.String strInfo)`
    `void` | `train(java.util.List<Mat> src, Mat labels)`
    `void` | `update(java.util.List<Mat> src, Mat labels)`
    `void` | `write(java.lang.String filename)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FaceRecognizer

          protected FaceRecognizer(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static FaceRecognizer __fromPtr__(long addr)

    - #### getLabelInfo

          public java.lang.String getLabelInfo(int label)

    - #### predict_label

          public int predict_label(Mat src)

    - #### getLabelsByString

          public MatOfInt getLabelsByString(java.lang.String str)

    - #### predict_collect

          public void predict_collect(Mat src,
                                      PredictCollector collector)

    - #### predict

          public void predict(Mat src,
                              int[] label,
                              double[] confidence)

    - #### read

          public void read(java.lang.String filename)

    - #### setLabelInfo

          public void setLabelInfo(int label,
                                   java.lang.String strInfo)

    - #### train

          public void train(java.util.List<Mat> src,
                            Mat labels)

    - #### update

          public void update(java.util.List<Mat> src,
                             Mat labels)

    - #### write

          public void write(java.lang.String filename)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1